# Uses of Interface
java.util.prefs.NodeChangeListener

Packages that use NodeChangeListener
Package
Description
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.

## Uses of NodeChangeListener in java.util.prefs

Methods in java.util.prefs with parameters of type NodeChangeListener
Modifier and Type
Method
Description
`void`
AbstractPreferences.`addNodeChangeListener(NodeChangeListener ncl)`
`abstract void`
Preferences.`addNodeChangeListener(NodeChangeListener ncl)`
Registers the specified listener to receive node change events for this node.
`void`
AbstractPreferences.`removeNodeChangeListener(NodeChangeListener ncl)`
`abstract void`
Preferences.`removeNodeChangeListener(NodeChangeListener ncl)`
Removes the specified `NodeChangeListener`, so it no longer receives change events.